Subject: [bug#66171] [PATCH v3] gnu: git: Install zsh completions and git-prompt.

From: Efraim Flashner <[email-masked]>
Date: Mon, 2 Oct 2023 12:12:10 +0300

On Mon, Oct 02, 2023 at 06:30:59AM +0200, Liliana Marie Prikler wrote:
> Am Sonntag, dem 01.10.2023 um 23:34 -0400 schrieb Maxim Cournoyer:
> > Hi Liliana,
> > 
> > Liliana Marie Prikler <[email-masked]> writes:
> > 
> > > [...]
> > Sorry if my previous reply was not clear, but with your
> > clarifications I think it'd be best to keep the 'contrib' output,
> > perhaps documenting in the description that it contains the 'git-
> > prompt' command as well as completions for Zsh?
> IMHO, a ‘contrib’ output would be silly, since so much of what we
> install in other outputs are part of contrib.  The name lacks meaning.
> 
> As for why I put it in ‘out’ instead of ‘completion’, I did miss the
> fact that we already install git completions for bash, so not that I
> know, I just extended the phase that does that.

It's not uncommon to see shell completions in a contrib directory. I
think it'd make more sense to install them to a 'completions' output
than to a 'contrib' output, but I think it would make the most sense to
just install them to the 'out' output.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted